<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.Globals"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

       <script language="JavaScript">
                       function doLoad() {
                           setTimeout( "refresh()", 1000 );
                       }
                       
                       function refresh() {
                           window.location.href = "/jonasAdmin/ApplyDomainDeployConfirm.do";
                       }
       </script>

    
<bean:define id="exception" name="domainDeployForm" property="exception"/>
<logic:equal name="exception" value="false">
<bean:define id ="deploymentComplete" name="domainDeployForm" property="deploymentComplete"/>
<logic:equal name="deploymentComplete" value="false">
       <body class="content" onLoad="doLoad();">
</logic:equal>
<logic:equal name="deploymentComplete" value="true">
       <body class="content">
</logic:equal>
</logic:equal>
<logic:equal name="exception" value="true">
<body class="content">
</logic:equal>
<html:form action="/ApplyDomainDeployConfirm">
<sj:titleContent usingWhere="true" tomThumb="true"/>

<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditDomainDeploy"><bean:message key="tab.deployment.domain"/></sj:tab>
  <sj:tab selected="true"><bean:message key="tab.deployment.domain.result"/></sj:tab>
  <sj:tab forward="ActionEditUpload"><bean:message key="tab.deployment.upload"/></sj:tab>
  <sj:tab forward="ActionEditRemove"><bean:message key="tab.deployment.remove"/></sj:tab>
    <bean:define id="isConfig" name="domainDeployForm" property="isConfigurable"/>
  <logic:equal name="isConfig" value="true">
      <sj:tab forward="ActionArchiveConfigSelect"><bean:message key="tab.configure"/></sj:tab>
  </logic:equal>
   <sj:panel>

   <logic:equal name="exception" value="false">
    <bean:size id="listReportSize" name="domainDeployForm" property="reports"/>
    Total applications to deploy: <bean:write name="listReportSize"/>
    
    <logic:notEqual name="listReportSize" value="0">
        
        <logic:iterate id="appReport" name="domainDeployForm" property="reports">
        <sj:jonasgrid>
                       <sj:jgRowTitle>        
                               <sj:jgColTitle><bean:message key="message.deployment.domain.deploymentOf"/><bean:write name="appReport" property="key"/></sj:jgColTitle>
                       </sj:jgRowTitle>
        </sj:jonasgrid>                
        <sj:jonasgrid>
               <logic:iterate id="report" name="appReport" property="value">
           <logic:iterate id="progress" name="report" property="value">
                      
                      <bean:define id="success" name="progress" property="value"/>
  
                      <logic:equal name="progress" property="value" value="In Progress..">
                           <bean:define id="success" value="true"/>
                      </logic:equal>  
                                                                  
                      <logic:equal name="success" value="true">
                            <sj:gridrow>
                                <sj:gridcol width="20%"><b><bean:write name="report" property="key"/></b></sj:gridcol>
                               <sj:gridcol width="80%"><bean:write name="progress" property="key"/></sj:gridcol>                                                          
                            </sj:gridrow>                       
                         </logic:equal>
                        <logic:equal name="success" value="false">
                            <sj:gridrow styleClass="errors">
                                <sj:gridcol width="20%"><b><bean:write name="report" property="key"/></b></sj:gridcol>
                               <sj:gridcol width="80%"><bean:write name="progress" property="key"/></sj:gridcol>                                                          
                             </sj:gridrow>                       
                       </logic:equal>
                  </logic:iterate> 
               </logic:iterate>   
         </sj:jonasgrid>   
         <sj:panelSeparator/>     
        </logic:iterate>

    </logic:notEqual>
   </logic:equal>
    <logic:present name="<%=Globals.ERROR_KEY%>">
      <sj:jonasgrid>
        <sj:gridrow styleClass="errors">
          <sj:gridcol styleClass="errors"><html:errors/></sj:gridcol>
        </sj:gridrow>
      </sj:jonasgrid>
      <sj:panelSeparator/>
    </logic:present>

  </sj:panel>
</sj:tabs>
</html:form>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>
