<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditDomain" selected="true"><bean:write name="WhereAreYou" property="currentDomainName"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="label.domain.currentServer"/></sj:jgColTitle>
      </sj:jgRowTitle>
      <sj:gridrow>
        <sj:gridcol>
          <html:link forward="ActionEditJonasServer" styleClass="panel"
              paramId="select" paramName="currentServer" paramProperty="objectName">
                <bean:write name="currentServer" property="name"/>
          </html:link>
        </sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid> 
    <sj:panelSeparator/>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="label.domain.servers"/></sj:jgColTitle>
      </sj:jgRowTitle>
      <bean:size id="listSize" name="listServers"/>
      <logic:equal name="listSize" value="0">
        <sj:gridrow>
          <sj:gridcol><bean:message key="message.domain.servers.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:equal>
      <logic:notEqual name="listSize" value="0">
        <logic:iterate id="item" name="listServers">
          <sj:gridrow>
            <sj:gridcol>
              <html:link forward="ActionEditJonasServer" styleClass="panel"
                paramId="select" paramName="item" paramProperty="objectName">
                <bean:write name="item" property="name"/>
              </html:link>
              <%--
              <bean:write name="item" property="name"/>
              --%>
            </sj:gridcol>
          </sj:gridrow>
        </logic:iterate>
      </logic:notEqual>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

