<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditJoramPlatform"><bean:message key="tab.joramplatform"/></sj:tab>
  <sj:tab forward="JoramServers"><bean:message key="tab.joramservers"/></sj:tab>
  <sj:tab forward="ActionEditJoramLocalServer" selected="true"><bean:message key="tab.joramplatform.joramlocalserver"/></sj:tab>
  <sj:panel>
     <sj:jonasgrid>
      	<sj:jgRowTitle>
        	<sj:jgColTitle><bean:message key="tab.joramplatform.joramlocaldestinations"/></sj:jgColTitle>
        </sj:jgRowTitle>
     </sj:jonasgrid>

     <sj:jonasgrid>
       <logic:iterate id="item" name="topics">
         <sj:gridrow>
           <sj:gridcol><bean:write name="item" property="name"/></sj:gridcol>
           <sj:gridcol width="30%"><bean:write name="item" property="id"/></sj:gridcol>
         </sj:gridrow>
       </logic:iterate>
     </sj:jonasgrid>


     <sj:panelSeparator/>


     <sj:jonasgrid>
      	<sj:jgRowTitle>
        	<sj:jgColTitle><bean:message key="tab.joramplatform.joramlocaldestinations"/></sj:jgColTitle>
        </sj:jgRowTitle>
     </sj:jonasgrid>

     <sj:jonasgrid>
       <logic:iterate id="item" name="queues">
         <sj:gridrow>
           <sj:gridcol><bean:write name="item" property="name"/></sj:gridcol>
           <sj:gridcol width="30%"><bean:write name="item" property="id"/></sj:gridcol>
         </sj:gridrow>
       </logic:iterate>
     </sj:jonasgrid>

  </sj:panel>
</sj:tabs>
<%@ include file="../common/end.jsp" %>
</body>
</html:html>






