<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.action.Action"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListJoramServers" paramId="id" paramName="remoteServerId"><bean:message key="tab.joramservers"/></sj:tab>
  <sj:tab forward="ActionEditJoramRemoteServer"><bean:message key="tab.joramplatform.joramremoteserver"/></sj:tab>
  <sj:tab forward="ActionListLocalDestinations" selected="true"><bean:message key="tab.joramplatform.joramremotedestinations"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <bean:size id="listSize" name="destinationsList"/>
      <logic:equal name="listSize" value="0">
        <sj:gridrow>
          <sj:gridcol><bean:message key="message.resource.destinations.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:equal>
      <logic:notEqual name="listSize" value="0">
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="label.joramplatform.destination.name"/></sj:jgColTitle>
          <sj:jgColTitle><bean:message key="label.joramplatform.destination.type"/></sj:jgColTitle>
        </sj:jgRowTitle>

        <logic:iterate id="item" name="destinationsList">
          <sj:gridrow>
            <sj:gridcol width="25%">
            	<bean:write name="item" property="name"/>
            </sj:gridcol>
            <sj:gridcol>
              	<bean:write name="item" property="type"/>
            </sj:gridcol>
          </sj:gridrow>
        </logic:iterate>
      </logic:notEqual>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>



